------------------------- June 30th 1996 version 2.1a ------------------
 1. Fix typo in man/zip.1 (Frank Donahoe)
 2. zipdll: add support for encryption (Mike)
 3. unix: don't test for <sys/termio.h> in configure  (Onno)
 4. unix: test for <sgtty.h> in configure (Onno)
 5. unix: Fix the for do done loops in configure (Onno)
 6. Amiga: Add replacement for getenv (Paul)
 7. Amiga: use UX_EF_TIME (Paul)
 8. Win32: use UX_EF_TIME (Paul)
 9. Acorn: documentation fixes (Sergio)
10. Acorn: makefile adjustments (Sergio)
11. Acorn: use __riscos instead of __arm (Sergio)
12. Acorn: display Zip$Exts with zip -v (Sergio)
13. zipdll: use proper return codes (Mike)
14. zipdll: check for included and excluded files (Mike)
15. fix array sizes in revision.h (Paul)
16. amiga: zip -A works (Paul)
17. VMS: show unix style help with -h (Patrick Ellis, Christian)
18. VMS: add documentation for binary distribution (Christian)
19. amiga: update zip.doc, man/zip.1 (Paul, Onno)
20. OS/2: In makefile.os2 use -DDYN_ALLOC in ASFLAGS too (Kai Uwe)
21. VMS: use "-FF" instead of -FF in the help screen (Mike Freeman)
22. get match.S working on linux (Greg)
23. remove error message that makes no sense for wizzip (Mike)
24. add backslash escaping for embedded quotes in filenames from stdin (Paul)
25. DJGPP: decrease size of djgpp v2 executable by 1600 bytes (Laszlo Molnar)
26. add extra checks to seekable() (Paul)
27. DOS: work arounds for MSC7 *time() functions (Onno)
28. more general version_local for Visual C++ 4.x (Steve)
29. create a BUGS file with OS bugs that break zip (Onno, Jean-loup)
30. Acorn: add missing , to version_local() (Thomas Esken)
31. Better handling in version_local of the NetBSD version info (Onno)
32. Delete obsolete #pragma from trees.c (Onno, Peter Mauzey)
33. Add dirent to possible dir libraries (Onno, Peter Mauzey)
34. Remove <sys/types.h> include from mktime.c (Onno, Peter Mauzey)
35. Add -R documentation (Onno)
36. Change unix/Makefile att6300 entry (Peter Mauzey)
------------------------- July 6th 1996 version 2.1b -------------------
 1. Make envargs() and count_args() equal to to unzip52's (Walter Haidinger)
 2. Fix a couple of compiler warnings (Walter Haidinger)
 3. Only warn if there are additional flags with -d (Walter Haidinger)
 4. Print freshening with the -f option (Walter Haidinger)
 5. Don't use #elif, pyramid's C compiler hates it (Kevin M. Fritz)
 6. Use sysctl() in version_local() for NetBSD (Onno)
 7. Amiga include file cleanup (Walter Haidinger)
 8. Add Amiga SAS/C smakefile (Walter Haidinger)
------------------------- July 14th 1996 version 2.1c ------------------
 1. Add strchr() detection to unix/configure (Onno, Kevin M. Fritz)
 2. Fix warning for unused variable in win32's version_local (Steve)
 3. Move GUI stuff out of the dll itself and in to the application (Mike)
 4. Change all the WIZ* macros to WINDLL or WINDLL_ZIP (Mike)
 5. Implement the -A option in the dll code (Mike)
 6. Change include filenames from wiz*.h to win*.h (Mike)
 7. ifdef out the help and licensing stuff for the DLL (Mike)
 8. change wildcard handling for DOS and WIN32 (Paul)
 9. fixes for escaping certain characters in filenames (Paul)
10. make -R position independent (Paul)
11. fix for stat(".", ...) failing in rootdir for WatCom libs (Paul)
12. crypt.c: better casting of getpid() (Paul)
13. make -R work with Amiga (current dir is "", not ".") (Paul)
14. handle multipart patterns with -R (Paul)
15. dosmatch() rewritten and now used for both msdos and win32 (Paul)
16. prevent leading "./" or "../" in internal filenames (Paul)
17. SAS/C changes better integrated, smakefile may possibly be broken (Paul)
18. remove band-aid for bug that Watcom stat() DOESN'T have (Paul)
19. fix of long-unnoticed defect in Amiga command line argument parsing (Paul)
20. minor fix for win32's version_local() (Steve)
21. initialize escape to zero in getnam() (Onno, Frank Donahoe)
22. Use ln -s and cc -o to suit AFS/NFS environment (Jochen Roderburg)
23. Amiga: use stat.c for SAS/C too (Walter Haidinger)
24. Amiga: use SAS/C getenv() (Walter Haidinger)
25. Amiga: added prototype for ctrl-c trap function (Walter Haidinger)
26. Amiga: in smakefile add debug flags and stat.c (Walter Haidinger)
27. revision.h: use lists.wku.edu as email address (Walter Haidinger)
------------------------- August 7th 1996 version 2.2a ------------------
 1. QDOS port (Jonathan Hudson)
 2. win32 volumelabel handling (Paul)
 3. VM/CMS clean up (Greg Hartwig)
 4. leading "../" in internal filenames are allowed (Paul)
 5. System V packages support (John Bush)
 6. Fix handling of atx in zipup() (Onno, Greg)
 7. Fixed typo that caused zip -R to dump core (Onno)
 8. msdos/makefile.dj2: fix for command line too long when linking zip.exe
 9. win95 long filename support with djgpp v2 (Onno, Kimio Itoh)
------------------------- August 9th 1996 version 2.2b ------------------
 1. windll: use wiz instead of wizip (Mike)
 2. use z->name NOT z->zname to open files (Onno, Mike)
------------------------ September 1st 1996 version 2.2c ------------------
 1. windll: use fprintf instead of putc to send data to std{out,err} (Mike)
 2. os2: make borlandc version detection equal to unzip 5.30d (Kai Uwe)
 3. use #elif constructions for msdos,os2 and win32 compiler detection (Onno)
 4. fix for incorrect free in zip.c (Onno, Mike, Steve)
 5. BeBox port from Chris
 6. unix/{configure,Makefile} fixes for SCO Xenix 286 (Tom Schmidt)
 7. remove zilog entry from unix/Makefile (Onno)
 8. man page fixes (Tom Schmidt)
 9. SCO ODT {3,5} fixes (Bill Davidsen)
------------------------ October 8th 1996 version 2.2d ------------------
 1. Fix bug in QDOS patch that broke zipsplit.c (Onno, Paul)
 2. Fix a couple of warnings from BorlandC (Mike)
 3. msdos/makefile.wat: Delete some more files when cleaning up (Paul)
 4. store msdos volumelabels without a dot in them (Paul)
 5. clean up of unix/{Makefile,configure,packaging} (Tom Schmidt)
 6. make QDOS port case independent (Jonathan Hudson)
 7. new amiga SASC makefile (Walter Haidinger)
 8. don't truncate filenames in win32's in2ex() (Paul)
 9. os2/makefile.os2 update for emx 0.9c (Kai Uwe)
10. password() function for QDOS (Jonathan)
11. fix the last(?) free() related bug (Mike)
12. win32: security descriptors operations (Scott Field)
13. win32: FILE_SHARE_DELETE is not defined in some win32 compilers (Onno)
14. win32: fix makefile.wat to include nt.c (Onno)
------------------------ January 17th 1997 version 2.2e ------------------
 1. define USE_CASE_MAP in osdep.h for those ports that need it (Onno)
 2. define PROCNAME in osdep.h for those ports that need it (Onno)
 3. wild() prototype decl only if PROCNAME defined => delete MSVMS define (Onno)
 4. add DOS EMX makefile (E-Yen Tan)
 5. include <qdos.h> a little earlier in qdos/qdos.c (Jonathan)
 6. add ttyio.o to OBJZ in qdos/Makefile.qdos (Jonathan)
 7. remove unused fprintebc define from zip.c (Onno)
 8. use the right password routine in ttyio.c for unzip (Mike)
 9. BeOS update from Chris
10. Fix for 'zip -r foo x:' (Paul)
11. Fix library bug on beos (Chris)
12. Fix calculating version number (kitoh_@mix.or.jp, Walter Haidinger)
13. IsWinNT always returned TRUE (Mike)
14. Windll update from Mike
15. Improved crc routines for x86 from Scott Field
16. Detect in unix/configure if we can use crc_i386.S (Onno)
17. Fix spurious internal logic error (Paul)
18. Fix to include directory names on the Acorn when needed (Sergio)
19. include zip.h in mvs.h (Onno, George Carr)
20. add workaround for AZTEC C compiler bug to revision.h (Paul, Walter)
21. MVS doesn't have rmdir (George Carr)
22. define and use USE_ZIPMAIN for WINDLL en VM_CMS (Onno)
23. Fixes from Greg Hartwig to make CMS standalone versions possible.
24. Move OS specific encryption stuff to the os specific directories (Christian)
25. Change password fetching interface in ttyio and crypt (Christian)
26. Update emx support for 0.9c (Christian)
27. Define WINDLL instead of MSWIN (Christian)
28. Extended time stamp extra field format support (Christian)
29. Support for rsxnt-emx 0.9c win32 compiler (Christian)
30. Use izshr017b (Christian)
------------------------ March 11th 1997 version 2.2f ------------------
 1. Move makefile.emx, rsxwinnt.h and zip.def to win32 subdir (Kai Uwe)
 2. Add win32 target to makefile.os2 to allow cross compilation (Kai Uwe)
 3. Fix NTSD_EAS link time failures with win32 (Paul)
 4. Fix buffer freed too early in password verification code (Mike)
 5. Remove unix/zipgrep and man/zipgrep.1 (sanvila@ctv.es)
 6. Only use crc_i386.o when we're using an x86 (Onno, Mark)
 7. Remove carriage returns from amiga/crc_68.a (Paul)
 8. New windll from Mike
 9. Fix typo in os2/os2zip.c (Kai Uwe)
10. Don't use ctime (last file status change) for unix and qdos cross compile
    (Greg)
11. added gccwin32 crosscompilation target (RSXNT) to os2/makefile.os2 (Kai Uwe)
12. fixed the OS/2 file attribute and time stamp generation for zipping
    stdin ("-") (Kai Uwe)
13. fixed the atime and ctime stat fields for the OS/2 Watcom C library
    (Kai Uwe)
14. added atime and ctime support for the UT extra field when generated under
    OS/2, the atime and ctime values are only stored when zipping (Kai Uwe)
15. qdos patches from Jonathan Hudson mainly for extended time flag handling
16. amiga aztec compiler bug workaround (Paul)
17. fix -v output of zipcloak, zipnote and zipsplit (Paul)
18. new amiga/makefile.azt with targets for debug versions (Paul)
------------------------ March 31st 1997 version 2.2g ------------------
 1. remove -I/usr/local/include from unix/Makefile (Chris)
 2. Update versinfolines in revision.h (Greg)
 3. change 1U to 0x1 to accomodate non ANSI compilers (Onno, Rodney Brown)
 4. win32zip.c: cast buffer parameter in memcompress() to char * (Mike)
 5. remove beos/zipgrep (Chris)
 6. correct the -e password verification check in zip.c (Christian)
 7. use ZCONST instead of const in the generic code. (Christian)
 8. fix mktime timezone correction when time is near to daylight/nodaylight
    switch points. (Christian)
 9. correct dependencies in makefile.os2 (Christian)
10. use a more sensible default for iztime.ctime than "0" when system does not
    not support creation time stamps. (Christian)
11. fix VMS_PK_EXTRA function interface declarations. (Christian)
12. implement atime/ctime support in win32. (Christian)
13. win32/win32.c: replacement getch() for Watcom. (Paul)
14. win32/makefile.wat: debug object files kept separate. (Paul)
15. msdos/makefile.wat: debug object files kept separate. (Paul)
16. Fix extended time defines for the acorn. (Sergio)
17. Define PROCNAME() in acorn/osdep.h (Sergio)
18. Ignore exit status of ${INSTALL_D} in unix/Makefile (Chris)
19. Add Metroworks and BEOS info to version() in several files (Chris)
20. Move defines for the password fetch to zip.h (Christian)
21. Support the obsolete version rsxnt 1.1 / emx 0.9b (Christian)
22. Remove obsolete "#define PROCNAME ..." from cmsmvs/cmsmvs.h (Christian)
23. Fix extended time defines for qdos (Jonathan Hudson)
24. Use watcom getch() from unz530q in win32/win32.c (Onno)
25. Don't install zipgrep via the unix package tools (John Bush)
26. use izshr021 (Onno)
27. Fix zipnote: use iname not zname in zipnote.c (Onno)
28. Create proginfo directory (Christian)
------------------------ May 5th 1997 version 2.2h --------------------
 1. Fix vms/zipup.h: iztime --> iztimes  (Onno, Mike Freeman)
 2. Remove windll/wizdll.def (Mike)
 3. Add a couple of external variable declaration to windll.h (Mike)
 4. Remove zipgrep from install in unix/Makefile (Onno)
 5. Make updating .zip files with extended time fields possible (Kai Uwe)
 6. Delete beos/Makefile.gcc, beos/Makefiles handles both compilers (Chris)
 7. Fixes for unused variables (Chris)
 8. Added very simplistic example how to load and call the windll (Mike)
 9. Updated windll documentation to note this example (Mike)
10. Removed an unused memeber of a structure in windll (Mike)
11. Add BUGS instead of infozip.who and algorith.doc with the packaging
    tools (John Bush)
12. tailor.h: increment NUM_HOSTS to keep in sync with UnZip (Christian)
13. win32/osdep.h: remove NO_SECURE_TESTS define (Christian)
14. zip.h: add declaration for free_crc_table() (Christian)
15. windll: move everything that's not windows specific into api.* (Mike)
16. use iname when checking for directory names in zipfile.c (Sergio)
17. improved mktime.c with better error checking (Christian)
18. improved crc routines (Christian, Rodney Brown)
19. get the -z option working again (Onno, Brad Clarke)
20. define BROKEN_FSEEK and seekable() for those systems where fseek()
    always returns 0 (== OK) (Onno, Jeffrey Altman)
------------------------ May 10th 1997 version 2.2i --------------------
 1. win32's seekable should only check for FILE_TYPE_DISK (Onno, Jeffrey Altman)
 2. add (ulg) cast to zipbeg = ~0 in zipfile.c (Steve)
 3. seekable() *really* belongs in flush_block, keep it there (Onno)
 4. seekable() calls fseekable(FILE *) (Onno)
 5. define HAVE_FSEEKABLE if a port has their own fseekable (Onno)
 6. WatCom doesn't have _get_osfhandle, use _os_handle instead (Paul)
 7. upgrade to Mike's latest windll sources (Mike)
 8. add -P option so you can specify a password on the commandline (Onno)
 9. Get -@ working again (Onno)
10. emx+RSXNT doesn't know about _get_osfhandle() (Kai Uwe)
11. fix a couple of typos in the OS/2 makefiles (Kai Uwe)
12. fix initialization bug in windll code (Mike)
13. tweak deletedir for RISC OS (Sergio)
14. RISCOS doesn't know about fstat() (Sergio)
15. Remove acorn/acorn (Sergio)
16. Delete debugging statements from version_local() in msdos.c (Greg)
17. Fix huge bug in readzipfile() (Onno)
------------------------ May 18th 1997 version 2.2j --------------------
 1. Add missing ';' after return ZE_PARMS in zip.c (Mike)
 2. Remove obsolete 'struct stat st' in zipfile.c (Onno)
 3. Get Amiga SFX handling working again (Paul)
 4. Get zip -A working again (Onno)
 5. Change an && to & in zipfile.c (Johnny)
 6. Fix handling of empty sfx archives (Onno, Mike)
 7. Remove experimental entries from the makefiles (Jean-loup)
 8. Add exit codes to the manual page (Onno)
 9. Remove lines from the help screen that contain lesser used options (Onno)
------------------------ June 8th 1997 version 2.2k --------------------
 1. use zip -t ddmmyyyy for year 2000 stuff (Greg)
 2. zip -@ only handles ONE filename per line (Jean-loup)
 3. beos support for DR9 filesystem and symlinks (Chris)
 4. VB support for windll (Mike)
------------------------ June 10th 1997 version 2.2l -------------------
 1. beos filetype support (Chris)
 2. fill the buffer in getnam() to get it working again (Onno)
 3. implement -x@filename and -i@filename (Onno)
------------------------ June 22nd 1997 version 2.2m -------------------
 1. Add a ; after de nextarg label in main() (Onno, Erik Baatz)
 2. Initialize p to NULL in get_filters() (Onno, Frank Donahoe)
 3. Fix typo in first if statement in filetypes() (Johnny Lee)
 4. zip -A works again (Onno, Greg)
 5. don't free zipbuf for VMS and CMS_MVS in main() (Onno, Mike Freeman)
 6. fix make_zip.com, link_zip.com and vmsdefs.h for gcc 2.6.3 on VMS (Onno)
 7. clarify -g option in the man page (Jean-loup)
------------------------ July 6th 1997 version 2.2n -------------------
 1. use local in readzipfile2() declaration (Onno, Mike Freeman)
 2. return values with windll in get_filters() (Mike)
 3. a couple of minor patches for BEOS (Chris)
 4. zip -g works again (Onno, Chris)
 5. Some more Visual Basic dll support (Mike)
 6. Fix stack overflow in readzipfile() for DOS (Onno, Michael Mauch)
------------------------ August 19th 1997 version 2.2o -------------------
 1. beos README and Makefile tweaks from Chris.
 2. Syntax corrections for README and man/zip.1  (Frank Donahoe)
 3. Use name not iname when deleting directories in trash() (Christian)
 4. change several wkuvx1 to lists in e-mail addresses (Christian)
 5. default to PK style extra fields for VMS (Christian)
 6. use izshr023 (Christian)
 7. replace buggy time library functions (Walter Haidinger, Paul, Christian)
 8. in2ex() and stat() are needed also when UTIL isn't defined (Greg Hartwig)
 9. don't use type=record in fopen() for MVS and CMS (Greg Hartwig)
10. Change P and K literals to hex for EBCDIC systems (Greg Hartwig)
11. Add output path support for CMS and MVS (Greg Hartwig)
12. Add memtoasc and memtoebc for EBCDIC systems (Greg Hartwig)
13. Handle comments correctly to fix zipnote for CMS and MVS (Greg Hartwig)
14. Add -tt option (do not operate on files after date mmddyy) (Christian)
15. move alloc routines for DOS into the !UTIL block (Christian)
16. move UTIL blocks and version_local() functions to a more logical place
    (Christian)
17. Handle -P, -R, -x@, -i@ and -tt for the VMS CLI (Christian)
18. Update VMS help file with the new options (Christian)
19. Use iname in MATCH, not zname (Jonathan Hudson)
20. windll: more Visual Basic support (Mike)
21. windll: more project makefiles (Mike)
22. windll: insert Zip in front of global variable names (Mike)
------------------------ August 25th 1997 version 2.2p -------------------
 1. Remove unused flags from LFLAGS2 in unix/Makefile (Onno)
 2. SunOS make bug: change unix_.o rule in unix/Makefile (Onno, Mike Freeman)
 3. ZipIsWinNT() instead of IsWinNT() in zip.h (Mike)
 4. Fix -t and -tt behaviour for windll (Mike)
 5. Remove windll makefiles that are now elsewhere (Mike)
 6. BEOS: preserve file attributes associated with symbolic links (Chris)
 7. No need to use in2ex() for ziputils (Christian)
 8. Fix comment handling for EBCDIC systems (Christian)
 9. EBCDIC conversion for entry names read from zipfile in UTIL mode (Christian)
10. Fix "fatal" error messages on EBCDIC systems (Christian)
11. zipnote.c: Fix handling of entry name changes for EBCDIC systems (Christian)
12. removed a large part of "dead" code from ziputils version (Christian)
13. use z->iname in comparison functions for sorting (Christian)
14. new installation utils for the acorn (Sergio)
15. use LSSTAT in set_extra_field for unix and beos (Onno)
16. perror(z->zname) instead of perror("zip warning") (Onno, Geoff Pennington)
17. Amiga SFX should work again (Paul)
18. refer to zip22 in install.doc (Frank Donahoe)
------------------------ September 10th 1997 version 2.2q -------------------
 1. Change .doc to .txt, these aren't MS-Word documents (John D. Mitchell)
 2. Change msdos$_(OBJ) to msdos_$(OBJ) (Kai Uwe)
 3. Fix a couple of amiga related glitches (Paul)
 4. Support for DOS packed .exe files in makefile.dj2 (Frank Donahoe)
 5. Change warning message for zip -A (Greg)
------------------------ September 29th 1997 version 2.2r -------------------
 1. Fix make svr4package (Eric Baatz)
 2. Fix VMS warning (Mike Freeman, Christian)
 3. Clean up beos gcc port and beos README (Chris)
-------------------------- October 6th 1997 version 2.2s --------------------
 1. Change lpPrint to lpZipPrint for windll (Mike)
 2. Change lpPassword to lpZipPassword for windll (Mike)
 3. Amiga timezone fixes (Paul)
 4. WatCom C 11.0 makefile fixes (Paul)
 5. Tandem port from Dave Smith
 6. Corrections and updates for install.txt (Christian)
 7. Minor VMS README update (Christian)
-------------------------- October 12th 1997 version 2.2t --------------------
 1. qdos compiler bug workaround (Jonathan)
 2. prevent storing qdos specific filenames that exceed filesystem limits
    (Jonathan)
 3. fix undelimited comment in fileio.c (Frank Donahoe)
 4. disable storing of symlinks in BEOS until OS support is available (Chris)
 5. Init hash_head to 0 in amiga/deflate.a (Paul)
 6. Upgrade to izshr025 (Christian)
 7. don't add ".zip" to ZIP name for TANDEM (Dave Smith)
 8. use zipup.h not tandem.h in zipup.c (Dave Smith)
 9. rename history to CHANGES (Onno)
10. rename install.txt to INSTALL (Onno)
11. rename zip.txt to ZIPMAN (Onno)
12. create WHATSNEW (Onno)
-------------------------- October 15th 1997 version 2.2u --------------------
 1. Use Info-ZIP instead of Info-Zip (Christian)
 2. Note recent filename changes in several files (Christian)
 3. Remove a couple of items from the TODO list (Christian, Onno)
 4. Add windll port, zip -t yyyymmdd and zip -R to WHATSNEW (Christian)
 5. VMS documentation cleanups and clarifications (Christian)
 6. dist entry in unix/Makefile (Onno)
 7. remove duplicate amiga/timezone.txt (Christian)
 8. rename ZIPMAN to MANUAL and update a couple of files regarding this (Onno)
-------------------------- October 24th 1997 version 2.2v --------------------
 1. izshr026: in WHERE wiz40 instead of wiz30 (Christian)
 2. izshr026: another couple of Info-ZIP spelling fixes (Christian)
 3. Remove zipgrep from the makefiles that still had it (Christian)
 4. Update makefiles to handle the MANUAL renaming change (Christian)
 5. Fix the last daylight savings bug on the Amiga (Paul)
 6. Fix the SCO Unix specialty detection in unix/configure (Onno,
    bug reported by Bo Kullmar for Solaris 2.6 and with uname -X output
    for SCO Unix from ken@apisys.com and dgsmith@vnet.ibm.com)
 7. Update WHERE and amiga/time_lib.c from unzip 5.32g (Greg)
-------------------------- October 26th 1997 version 2.2w --------------------
 1. Additional +Onolimit check in unix/configure (Onno, Peter Jones)
 2. Use ZIPERR macro instead of ziperr (Christian)
 3. initialize z->lflg for zip entries without extra field (Christian)
 4. "local (+ locextend)" vs. "central" header consistency check (Christian)
 5. Override local header values with central header values with -A
    and differences between these headers (Christain)
 6. made "deltaoff" signed long; offset adjustment may be negative (Christian)
 7. fix a number of "wild" deallocation bugs (Christian)
 8. When zipping from a FAT drive (only 8.3 DOS names) under OS/2 or
    WIN32, set z->vem to "OS_DOS | <real zip version number>".
    Mark as "made by DOS PKZIP 2.0" only when dosify was requested. (Christian)
 9. DOS port should not store fake unix style external attributes. (Christian)
10. amiga/time_lib.c from izshr028 (Christian)
-------------------------- October 31st 1997 version 2.2y --------------------
 1. amiga/time_lib.c from izshr029 (Christian)
 2. Turbo C++ version code clarification (E-Yen Tan)
 3. Fix spelling in cmsvms/zipname.conven (Rodney Brown)
 4. Fix memset check in unix/configure for Unixware 2.1.1 (Rodney Brown)
 5. Forward declaration fixes for HP-UX bundled compiler (Rodney Brown)
-------------------------- November 3rd 1997 version 2.2 --------------------
 1. Update WHERE (Greg).
